# Interface AnnotationValue.OfInt

All Superinterfaces:
  `AnnotationValue, AnnotationValue.OfConstant`

Enclosing interface:
  `AnnotationValue`

public static sealed interface AnnotationValue.OfInt extends AnnotationValue.OfConstant
Models an int value of an element-value pair. The tag of this value is I.

Since:
  24

- ## Nested Class Summary

  ### Nested classes/interfaces declared in interface AnnotationValue

  `AnnotationValue.OfAnnotation, AnnotationValue.OfArray, AnnotationValue.OfBoolean, AnnotationValue.OfByte, AnnotationValue.OfChar, AnnotationValue.OfClass, AnnotationValue.OfConstant, AnnotationValue.OfDouble, AnnotationValue.OfEnum, AnnotationValue.OfFloat, AnnotationValue.OfInt, AnnotationValue.OfLong, AnnotationValue.OfShort, AnnotationValue.OfString`

- ## Field Summary

  ### Fields declared in interface AnnotationValue

  `TAG_ANNOTATION, TAG_ARRAY, TAG_BOOLEAN, TAG_BYTE, TAG_CHAR, TAG_CLASS, TAG_DOUBLE, TAG_ENUM, TAG_FLOAT, TAG_INT, TAG_LONG, TAG_SHORT, TAG_STRING`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IntegerEntry`
  `constant()`
  Returns the backing integer entry.
  `int`
  `intValue()`
  Returns the constant int value.
  `default Integer`
  `resolvedValue()`
  Returns the resolved int value.

  ### Methods declared in interface AnnotationValue

  `tag`

- ## Method Details

  - ### constant

    IntegerEntry constant()
    Returns the backing integer entry.
    Specified by:
      `constant` in interface `AnnotationValue.OfConstant`
    Returns:
      the backing integer entry

  - ### intValue

    int intValue()
    Returns the constant int value.
    Returns:
      the constant int value

  - ### resolvedValue

    default Integer resolvedValue()
    Returns the resolved int value.
    Specified by:
      `resolvedValue` in interface `AnnotationValue.OfConstant`
    Implementation Requirements:
      This method returns the same as `intValue()`.
    Returns:
      the resolved int value